Skip to content

Get Overtime Methods

Operation
wsdlGetOvertimeMethods
SOAP Action
uri:FlexForce/GetOvertimeMethods
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return the overtime methods configured for the Quinyx customer.


Request

Message: wsdlGetOvertimeMethodsRequest

apiKeystringrequired

API key of any unit on the customer.

lastModifiedstring

Selects overtime methods modified after this date. Leave empty to ignore.

FormatYYYY-MM-DD hh:mm:ss
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/GetOvertimeMethods"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetOvertimeMethods>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <lastModified xsi:type="xsd:string">string</lastModified>
    </tns:wsdlGetOvertimeMethods>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetOvertimeMethodsResponse

returnArray<OvertimeMethod>

Array of OvertimeMethod records.

itemOvertimeMethod

A configured overtime method on the customer.

idintrequired

Internal id of the overtime method.

namestringrequired

Display name of the overtime method.

typeintrequired

Salary type

Values
0Overtime
1Additional time
2Minus time
baseintrequired

Working-quota base

Values
0Shift
1Nominal hours
2Fixed scheduled hours
3Worked hours
4Work-day model
5Part-time nominal hours
6Scheduled hours
periodTypeintrequired

Overtime period

Values
0Schedule period
1Day
2Week
3Days
4Months
startDatedaterequired

Start date of the overtime period.

FormatYYYY-MM-DD
periodLengthintrequired

Length of the overtime period, in units defined by periodType.

hoursdecimalrequired

Number of hours in the working quota.

countUpwardsbooleanrequired

When true, hours for the overtime are included when calculating subsequent overtimes.

thresholdTypeintrequired

Threshold base:

Values
0Not used
1Per schedule period
2Per specified days
3Per specified months
thresholdHoursdecimalrequired

Number of hours that must be reached in the threshold period to start generating overtime.

thresholdLengthintrequired

Length of the threshold period, in units defined by thresholdType.

thresholdStartDatedaterequired

Start date of the threshold period.

FormatYYYY-MM-DD
otLevelTypeintrequired

Source the overtime levels are based on

Values
0Overtime schedule
1Working-hours levels
2Overtime-hours levels
otLevelsArray<otLevel>required

Array of otLevel records.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetOvertimeMethodsResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OvertimeMethod[1]">
      <item xsi:type="tns:OvertimeMethod">
        <id xsi:type="xsd:int">0</id>
        <name xsi:type="xsd:string">string</name>
        <type xsi:type="xsd:int">0</type>
        <base xsi:type="xsd:int">0</base>
        <periodType xsi:type="xsd:int">0</periodType>
        <startDate xsi:type="xsd:date">2024-01-01</startDate>
        <periodLength xsi:type="xsd:int">0</periodLength>
        <hours xsi:type="xsd:decimal">0</hours>
        <countUpwards xsi:type="xsd:boolean">true</countUpwards>
        <thresholdType xsi:type="xsd:int">0</thresholdType>
        <thresholdHours xsi:type="xsd:decimal">0</thresholdHours>
        <thresholdLength xsi:type="xsd:int">0</thresholdLength>
        <thresholdStartDate xsi:type="xsd:date">2024-01-01</thresholdStartDate>
        <otLevelType xsi:type="xsd:int">0</otLevelType>
        <otLevels xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:otLevel[1]">
          <item xsi:type="tns:otLevel">
            <hours xsi:type="xsd:decimal">0</hours>
            <overtimeType xsi:type="xsd:int">0</overtimeType>
          </item>
        </otLevels>
      </item>
    </return>
    </tns:wsdlGetOvertimeMethodsResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2016-03-01 New web service